Warning: Uninstall forced. Proceeding despite dependencies.

$ sudo port upgrade outdated
--->  Attempting to fetch xz-5.0.7.tar.bz2 from http://jog.id.distfiles.macports.org/macports/mpdistfiles/xz
--->  Verifying checksums for xz
--->  Extracting xz
--->  Configuring xz
--->  Building xz
--->  Staging xz into destroot
--->  Unable to uninstall xz @5.0.7_0, the following ports depend on it:
--->   libxml2 @2.9.1_0
--->   tiff @4.0.3_4
--->   libarchive @3.1.2_0
--->   ImageMagick @6.8.9-8_0+x11
Warning: Uninstall forced.  Proceeding despite dependencies.

Warning: Uninstall forced. Proceeding despite dependencies.

古いパッケージをアンインストールして新しいパッケージをインストールする際、古いパッケージに依存している別のパッケージが、新しいパッケージに依存しなおす際、対応していないので、もしかしたらファイルが破損する可能性があることを指摘しています。 しかし、多くの場合は問題ないそうです。

また分かり次第、追記します。